curl --request GET \
--url https://api.baselayer.com/portfolio/items/{item_id}/notification_policies \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/portfolio/items/{item_id}/notification_policies"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/portfolio/items/{item_id}/notification_policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"name": "<string>",
"enabled": true,
"cadence": "daily",
"created_at": "2023-11-07T05:31:56Z",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_run_at": "2023-11-07T05:31:56Z",
"next_run_on": "2023-12-25",
"attributes": [
"officers"
],
"recipients": [
"user@example.com",
"admin@example.com"
],
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Portfolio Item Notification Policies
Get notification policies directly bound to a portfolio item.
Authorizations
Path Parameters
Response
Response
The unique identifier of the notification policy.
The type of notification policy (email, slack, webhook).
"email"
"slack"
"webhook"
The name of the notification policy.
Whether the notification policy is enabled.
The notification cadence (daily, weekly, monthly, yearly).
daily, weekly, biweekly, monthly, quarterly, biannually, annually "daily"
"weekly"
"monthly"
"yearly"
When the notification policy was created.
The unique identifier of the portfolio group (if applicable).
The unique identifier of the portfolio item (if applicable).
When the notification policy was last executed.
When the notification policy is scheduled to run next.
List of attributes to notify on (officers, alternative_names).
registration_health, new_registrations, addresses, officers, alternative_names, kyb_score, risk_score, identity_network, pep, ofac, liens, litigations, bankruptcies, website_analysis ["officers"]
["alternative_names"]
List of email recipients for email notification policies.
["user@example.com", "admin@example.com"]
When the notification policy was last updated.